Updates one responsibility assignment rule.
PUT
/api/workspace/admin/boards/boards/{boardId}/security/profiles/{resourceKind}/assignment-rules/{ruleKey}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Put, RequestUri = new Uri("https://example.com/api/workspace/admin/boards/boards/example/security/profiles/example/assignment-rules/example"), Content = new StringContent("{ \"OperationKey\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"Key\": \"example\", \"ResponsibilityKey\": \"example\", \"ActorSelectorType\": \"example\", \"ActorSelectorKey\": \"example\", \"Actions\": [ \"example\" ], \"EligibleTargets\": [ { \"SelectorType\": \"example\", \"SelectorKey\": \"example\" } ], \"Enabled\": true }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/admin/boards/boards/example/security/profiles/example/assignment-rules/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"OperationKey":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","Key":"example","ResponsibilityKey":"example","ActorSelectorType":"example","ActorSelectorKey":"example","Actions":["example"],"EligibleTargets":[{"SelectorType":"example","SelectorKey":"example"}],"Enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/workspace/admin/boards/boards/example/security/profiles/example/assignment-rules/example \ --header 'Content-Type: application/json' \ --data '{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Key": "example", "ResponsibilityKey": "example", "ActorSelectorType": "example", "ActorSelectorKey": "example", "Actions": [ "example" ], "EligibleTargets": [ { "SelectorType": "example", "SelectorKey": "example" } ], "Enabled": true }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”boardId
required
string
resourceKind
required
string
ruleKey
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Creates or updates one responsibility assignment rule.
object
OperationKey
required
string format: uuid
RowVersion
required
string format: uuid
Key
required
string
ResponsibilityKey
required
string
ActorSelectorType
required
string
ActorSelectorKey
required
string
Actions
required
Array<string>
EligibleTargets
required
Array<object>
Identifies one eligible assignment target selector.
object
SelectorType
required
string
SelectorKey
string
Enabled
required
boolean
Examplegenerated
{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Key": "example", "ResponsibilityKey": "example", "ActorSelectorType": "example", "ActorSelectorKey": "example", "Actions": [ "example" ], "EligibleTargets": [ { "SelectorType": "example", "SelectorKey": "example" } ], "Enabled": true}Creates or updates one responsibility assignment rule.
object
OperationKey
required
string format: uuid
RowVersion
required
string format: uuid
Key
required
string
ResponsibilityKey
required
string
ActorSelectorType
required
string
ActorSelectorKey
required
string
Actions
required
Array<string>
EligibleTargets
required
Array<object>
Identifies one eligible assignment target selector.
object
SelectorType
required
string
SelectorKey
string
Enabled
required
boolean
Examplegenerated
{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Key": "example", "ResponsibilityKey": "example", "ActorSelectorType": "example", "ActorSelectorKey": "example", "Actions": [ "example" ], "EligibleTargets": [ { "SelectorType": "example", "SelectorKey": "example" } ], "Enabled": true}Creates or updates one responsibility assignment rule.
object
OperationKey
required
string format: uuid
RowVersion
required
string format: uuid
Key
required
string
ResponsibilityKey
required
string
ActorSelectorType
required
string
ActorSelectorKey
required
string
Actions
required
Array<string>
EligibleTargets
required
Array<object>
Identifies one eligible assignment target selector.
object
SelectorType
required
string
SelectorKey
string
Enabled
required
boolean
Examplegenerated
{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Key": "example", "ResponsibilityKey": "example", "ActorSelectorType": "example", "ActorSelectorKey": "example", "Actions": [ "example" ], "EligibleTargets": [ { "SelectorType": "example", "SelectorKey": "example" } ], "Enabled": true}Responses
Section titled “Responses”Unauthorized
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}